Public Class Formreport

    Private Sub 产品BindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Validate()
        Me.TableAdapterManager.UpdateAll(Me.NorthwindDataSet)

    End Sub

    Private Sub Formreport_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.产品”中。您可以根据需要移动或移除它。
        Me.产品TableAdapter.Fill(Me.NorthwindDataSet.产品)

        Dim i As Integer
        Dim j As Integer
        Dim mycol As DataGridViewColumn
        Dim myrow As DataGridViewRow
        Dim rows As Integer
        Dim cols As Integer

        cols = 2
        rows = 258
        d2.ColumnCount = cols
        d2.RowCount = rows
        '加一列按钮列
        For i = 0 To cols - 1
            mycol = d2.Columns(i)
            mycol.HeaderText = "第" + CStr(i + 1) + "列"
        Next
        Dim myco2 As New DataGridViewButtonColumn()
        myco2.HeaderText = "按钮列"
        myco2.Visible = True
        myco2.DefaultCellStyle.BackColor = Color.DarkGray
        d2.Columns.Add(myco2)

        d2.Rows(2).Cells(2).Style.ForeColor = Color.Blue
        d2.Rows(2).Cells(2).Style.Font = New Font("华文行楷", 12, FontStyle.Bold Or FontStyle.Strikeout Or FontStyle.Underline)
        cols = 3

        For i = 0 To cols - 1
            mycol = d2.Columns(i)
            mycol.HeaderText = "第" + CStr(i + 1) + "列"
            mycol.Name = "第" + CStr(i + 1) + "列"
        Next
        For i = 0 To rows - 1
            myrow = d2.Rows(i)
            For j = 0 To cols - 1
                myrow.Cells(j).Value = "第" + CStr(i + 1) + "行 第" + CStr(j + 1) + "列"
            Next

        Next

        d2.Columns(2).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        d2.Columns(1).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight

        d2.Rows(0).Cells(0).Value = "表格2"

        Dim mycolumn As New DataGridViewCheckBoxColumn()

        'D2.Columns(2).CellTemplate
        Dim myco As New DataGridViewImageColumn()
        myco.HeaderText = "图片框"
        myco.Name = "图片列"
        myco.Visible = True
        myco.ImageLayout = DataGridViewImageCellLayout.Zoom
        d2.Columns.Add(myco)
        d2.Rows(0).Cells(3).Value = My.Resources.mybmp
        d2.Rows(3).Cells(3).Value = My.Resources.myico
        CType(d2.Rows(0).Cells(3), DataGridViewImageCell).ImageLayout = DataGridViewImageCellLayout.Stretch
        mycolumn.Name = "复选框列"
        mycolumn.HeaderText = "复选框"
        mycolumn.Visible = True
        mycolumn.TrueValue = "YES"
        mycolumn.FalseValue = "NO"
        d2.Columns.Add(mycolumn)
        d2.Rows(0).Cells(4).Value = "YES"
        d2.Rows(1).Cells(4).Value = "NO"

    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        'myrep.SetReportFile("ddd.dd")
        'myrep.CreateReport()
        'Exit Sub
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.EditReport() '进入报表修改
    End Sub
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "计算字段报表.mb")
        myrep.EditReport() '进入报表修改
    End Sub
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "计算字段报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "分组报表1.mb")
        myrep.EditReport() '进入报表修改
    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "分组报表1.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "计算公式报表.mb")
        myrep.EditReport() '进入报表修改
    End Sub

    Private Sub Button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button9.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "计算公式报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button10.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "分组报表2.mb")
        myrep.EditReport() '进入报表修改
    End Sub

    Private Sub Button11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button11.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "分组报表2.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button12.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d2)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "图片及复选框报表.mb")
        myrep.EditReport() '进入报表修改

    End Sub

    Private Sub Button13_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button13.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d2)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "图片及复选框报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button14_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button14.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.PrintReport(False, True, True, True) '立即进入选择打印机，不预览
    End Sub

    Private Sub Button15_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button15.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.PrintReport(False, True, False, True) '立即使用默认打印机打印
        myrep.Dispose()
        myrep = Nothing
    End Sub

    Private Sub Button16_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button16.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.PrintReport(False, False, False, True, "", 20, 5, 5, 10) '进入报表打印预览
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
              '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile("") '此处没有指定文件名，等下会提示文件名（如果此处设置了文件名，则会自动覆盖而不提示）

        myrep.CreateReportWizard() '用向导创建报表
    End Sub
End Class